# export all attachments from space

**URL:** <https://community.developer.atlassian.com/t/export-all-attachments-from-space/102874>\
**Category:** Confluence Space Aliases EAP\
**Created:** [September 24, 2026, 10:11am UTC](https://community.developer.atlassian.com/t/export-all-attachments-from-space/102874 "2026-09-24T10:11:25Z")\
**Posts on this page:** 3\
**Page:** 1

<div class="post-metadata">

**Author:** ![PiduguRishitha](https://avatars.discourse-cdn.com/v4/letter/p/779978/32.png) [@PiduguRishitha](https://community.developer.atlassian.com/u/PiduguRishitha)\
**Post date:** [September 24, 2026, 10:11am UTC](https://community.developer.atlassian.com/t/export-all-attachments-from-space/102874/1 "2026-09-24T10:11:25Z")

</div>

Hello, I’m from DevOps Tools Support Team. I’ve got the request from user. Is it possible to do from our Confluence Data Center v.9.2.20?

User request details: **Aurélien Daunois**  
I would like an export of all images/videos/diagrams in our CEP confluence space.  
I want the list of all these with, name, pagename and creator please.  
I want all of them, except the one on “under review” section.

---

<div class="post-metadata">

**Author:** ![Mihai\_leanzero](https://sea1.discourse-cdn.com/atlassiandeveloper/user_avatar/community.developer.atlassian.com/mihai_leanzero/32/55980_2.png) [@Mihai\_leanzero](https://community.developer.atlassian.com/u/Mihai_leanzero)\
**Post date:** [September 29, 2026, 2:27pm UTC](https://community.developer.atlassian.com/t/export-all-attachments-from-space/102874/2 "2026-09-29T14:27:11Z")

</div>

Hi @PiduguRishitha,

One CQL search covers most of it. Page with `start` until a page comes back short, because DC caps it at 200 per call once anything other than body is expanded, and the rest of the space won’t show up otherwise:

```auto
curl -H "Authorization: Bearer $PAT" "https://confluence.example.com/rest/api/content/search?cql=space%3DCEP%20AND%20type%3Dattachment&expand=container,history.createdBy,version.by&limit=200&start=0"

```

Then the fields. `title` is the file name. `container.title` is the page, `history.createdBy` the uploader.

No media type filter in CQL. I’d filter client-side on the extension (png, jpg, gif, svg, mp4, mov, drawio and so on) or on `extensions.mediaType` if your response carries it. Not run on 9.2.20 specifically.

“Under review” is the open bit. What marks it on your side: a label, a status lozenge in the page body, or a section of the page tree?

---

<div class="post-metadata">

**Author:** ![tied](https://avatars.discourse-cdn.com/v4/letter/t/67e7ee/32.png) [@tied](https://community.developer.atlassian.com/u/tied)\
**Post date:** [September 30, 2026, 9:56am UTC](https://community.developer.atlassian.com/t/export-all-attachments-from-space/102874/3 "2026-09-30T09:56:23Z")

</div>

Hi @PiduguRishitha,

as this sound like a usual end-user request that you have to solve, just saying that this is the Atlassian Developer Community. [https://community.atlassian.com/](https://community.atlassian.com/) is the other one. And this is as well not the official support.

Anyhow, as you are on data center, i think a custom HTML Export of the hole space is the fastest way for you to export the raw data incl. the related pages as static HTML ([Export Content to Word, PDF, HTML and XML | Confluence Data Center 9.2 | Atlassian Documentation](https://confluence.atlassian.com/conf92/export-content-to-word-pdf-html-and-xml-1477575623.html)).

If you really need the other metadata, then the database is your friend. As a starting point, this might help you ([How do I list all attachments in Confluence with their location and file sizes? | Confluence | Atlassian Support](https://support.atlassian.com/confluence/kb/how-do-i-list-all-attachments-in-confluence-with-their-location-and-file-sizes/)).
